Explore Graph
Build a visualization-ready graph neighborhood around one or more memory IDs.
Query Parameters
memory_ids*Memory Ids
Comma-separated memory IDs to explore as graph seeds
depth?Depth
Traversal depth for graph expansion around the seed memories
limit?Limit
Maximum path rows to inspect when building the graph neighborhood
space_id?|
Optional memory space lens for the graph
Response Body
application/json
application/json
curl -X GET "https://example.com/graph/explore?memory_ids=string"{ "nodes": [ { "id": "string", "label": "string", "node_type": "string", "node_subtype": "string", "size": 0, "color": "string", "community": "string", "importance": 0, "hop_count": 0, "pagerank_score": 0, "thread_id": "string", "metadata": { "entity_type": "string", "confidence": 0, "degree": 0, "community_id": 0, "pagerank_score": 0, "hop_count": 0, "description": "string", "title": "string", "content": "string", "importance": 0, "entity_count": 0, "thread_id": "string", "created_at": "string", "updated_at": "string", "source": "string" } } ], "edges": [ { "id": "string", "source": "string", "target": "string", "edge_type": "string", "weight": 0, "label": "string", "relevance_score": 0, "metadata": { "relation_type": "string", "relationship_type": "string", "context": "string", "path_length": 0, "hop_count": 0, "description": "string", "strength": 0, "confidence": 0, "conditions": "string", "temporal_info": "string", "source_reference": "string", "source_name": "string", "target_name": "string", "source_id": "string", "target_id": "string", "path_position": 0, "total_path_length": 0, "visualization": {} } } ], "communities": [ { "id": "string", "name": "string", "description": "", "member_count": 0, "strength": 1, "algorithm": "louvain", "resolution": 1, "metadata": {} } ], "community_hulls": [ { "community_id": "string", "community_name": "string", "member_nodes": [ "string" ], "member_count": 0, "hull_type": "convex", "color": "#9B59B6", "opacity": 0.1, "stroke_color": "#8E44AD", "stroke_width": 2, "metadata": {} } ], "visualization_config": { "node_size_range": [ 0 ], "edge_weight_range": [ 0 ], "layout_recommendations": {} }, "metadata": { "total_nodes": 0, "total_edges": 0, "total_communities": 0, "entity_nodes": 0, "memory_nodes": 0, "relationship_edges": 0, "mention_edges": 0, "traversal_depth": 0, "query_method": "string", "filter_type": "string", "error": "string" }}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}